Name:           qtkeychain
Version:        0.3.0
Release:        1%{?dist}
License:        BSD
Summary:        A password store library
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  qt4-devel

%description
The qtkeychain library allows you to store passwords easy and secure.

%package devel
Summary:        A cross platform password store library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for qtkeychain.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build

%cmake .. \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DBUILD_RELEASE=ON

make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/libqtkeychain.so.*
%{_datadir}/qt4/translations/qtkeychain_de.qm
%{_datadir}/qt4/translations/qtkeychain_ro.qm
%doc COPYING ReadMe.txt

%files devel
%{_includedir}/qtkeychain
%{_libdir}/cmake/QtKeychain/
%{_libdir}/libqtkeychain.so

%changelog
* Sun Mar 16 2014 <jmarrero@fedoraproject.org> 0.3.0-1
- Update to latest upstream version

* Tue Jan 07 2014 <jmarrero@fedoraproject.org> 0.1.0-4.20130805git
- Remove gcc-c++ dep
- Fix Requires
- Remove unneeded line in devel description
- Leave black line between changelogs

* Sat Jan 04 2014 <jmarrero@fedoraproject.org> 0.1.0-3.20130805git
- Fix Version and Release
- Fix %%files devel's cmake ownership by pointing the subfiles 
- Fix Changelog to reflect version and release changes 

* Tue Dec 24 2013 <jmarrero@fedoraproject.org> 0.1.0-2.20130805git
- Fix descriptions

* Mon Dec 23 2013 <jmarrero@fedoraproject.org> 0.1.0-1.20130805git
- Initial Packaging
